package b4a.game.helper;

import com.google.android.gms.games.Game;

import android.database.CharArrayBuffer;
import android.net.Uri;
import android.os.Parcel;
import anywheresoftware.b4a.AbsObjectWrapper;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.ShortName;

@ShortName(value = "gGame")

public class GameWrapper extends AbsObjectWrapper<Game>{
	@Hide
	public void innerInitialize(final BA ba, final String eventName, boolean keepOldObject) {
		if (!keepOldObject) {
			setObject(new Game() {
				
				@Override
				@Hide
				public Game freeze() {
					return getObject().freeze();
					
				}
				
				@Override
				@Hide
				public void writeToParcel(Parcel arg0, int arg1) {
					getObject().writeToParcel(arg0, arg1);
				}
				
				@Override
				public int describeContents() {
					return getObject().describeContents();
				}
				
				@Override
				public boolean isPlayEnabledGame() {
					return getObject().isPlayEnabledGame();
				}
				
				@Override
				public boolean isInstanceInstalled() {
					return getObject().isInstanceInstalled();
				}
				
				@Override
				public String getSecondaryCategory() {
					return getObject().getSecondaryCategory();
				}
				
				@Override
				public String getPrimaryCategory() {
					return getObject().getPrimaryCategory();
				}
				
				@Override
				public int getLeaderboardCount() {
					return getObject().getLeaderboardCount();
				}
				
				@Override
				public String getInstancePackageName() {
					return getObject().getInstancePackageName();
				}
				
				@Override
				public Uri getIconImageUri() {
					return getObject().getIconImageUri();
				}
				
				@Override
				public Uri getHiResImageUri() {
					return getObject().getHiResImageUri();
				}
				
				@Override
				public int getGameplayAclStatus() {
					return getObject().getGameplayAclStatus();
				}
				
				@Override
				public Uri getFeaturedImageUri() {
					return getObject().getFeaturedImageUri();
				}
				
				@Override
				@Hide
				public void getDisplayName(CharArrayBuffer arg0) {
					
				}
				
				@Override
				public String getDisplayName() {
					return getObject().getDisplayName();
				}
				
				@Override
				@Hide
				public void getDeveloperName(CharArrayBuffer arg0) {
					
				}
				
				@Override
				public String getDeveloperName() {
					return getObject().getDeveloperName();
				}
				
				@Override
				@Hide
				public void getDescription(CharArrayBuffer arg0) {
					// TODO Auto-generated method stub
					
				}
				
				@Override
				public String getDescription() {
					return getObject().getDescription();
				}
				
				@Override
				public String getApplicationId() {
					return getObject().getApplicationId();
				}
				
				@Override
				public int getAchievementTotalCount() {
					return getObject().getAchievementTotalCount();
				}
			});
		}
	}
	
	
	public Game freeze() {
		return getObject().freeze();
		
	}
	
	public void writeToParcel(Parcel arg0, int arg1) {
		getObject().writeToParcel(arg0, arg1);
	}
	
	
	public int describeContents() {
		return getObject().describeContents();
	}
	
	
	public boolean isPlayEnabledGame() {
		return getObject().isPlayEnabledGame();
	}
	
	
	public boolean isInstanceInstalled() {
		return getObject().isInstanceInstalled();
	}
	
	
	public String getSecondaryCategory() {
		return getObject().getSecondaryCategory();
	}
	
	
	public String getPrimaryCategory() {
		return getObject().getPrimaryCategory();
	}
	
	
	public int getLeaderboardCount() {
		return getObject().getLeaderboardCount();
	}
	
	
	public String getInstancePackageName() {
		return getObject().getInstancePackageName();
	}
	
	
	public Uri getIconImageUri() {
		return getObject().getIconImageUri();
	}
	
	
	public Uri getHiResImageUri() {
		return getObject().getHiResImageUri();
	}
	
	
	public int getGameplayAclStatus() {
		return getObject().getGameplayAclStatus();
	}
	
	
	public Uri getFeaturedImageUri() {
		return getObject().getFeaturedImageUri();
	}
	
	
	@Hide
	public void getDisplayName(CharArrayBuffer arg0) {
		
	}
	
	
	public String getDisplayName() {
		return getObject().getDisplayName();
	}
	
	
	@Hide
	public void getDeveloperName(CharArrayBuffer arg0) {
		
	}
	
	public String getDeveloperName() {
		return getObject().getDeveloperName();
	}
	
	@Hide
	public void getDescription(CharArrayBuffer arg0) {
		// TODO Auto-generated method stub
		
	}
	
	
	public String getDescription() {
		return getObject().getDescription();
	}
	
	
	public String getApplicationId() {
		return getObject().getApplicationId();
	}
	
	
	public int getAchievementTotalCount() {
		return getObject().getAchievementTotalCount();
	}
	
}
