package b4a.game.helper;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import android.os.ParcelFileDescriptor;
import anywheresoftware.b4a.BA.ShortName;

import com.google.android.gms.games.RealTimeSocket;
@ShortName(value = "gRealTimeSocket")
public class RealTimeSocketWrapper implements RealTimeSocket{
	RealTimeSocket me;
	
	public void RealTimeSocketWrapper(){
		
	}
	
	protected void setRealTimeSocket(RealTimeSocket rts){
		me = rts;
	}
	
	@Override
	public void close() throws IOException {
		me.close();
	}

	@Override
	public InputStream getInputStream() throws IOException {
		return me.getInputStream();
	}

	@Override
	public OutputStream getOutputStream() throws IOException {
		return me.getOutputStream();
	}

	@Override
	public ParcelFileDescriptor getParcelFileDescriptor() throws IOException {
		return me.getParcelFileDescriptor();
	}

	@Override
	public boolean isClosed() {
		return me.isClosed();
	}
	
	public boolean equals(Object o){
		return me.equals(o);
	}
	
	/**
	 * To be used with an equals call only
	 */
	public RealTimeSocket getRTS(){
		return me;
	}
	
	public int hashCode(){
		return me.hashCode();
	}
	
}
