package b4a.game.helper;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.ShortName;

import com.google.android.gms.games.leaderboard.SubmitScoreResult.Result;
import com.google.android.gms.games.leaderboard.SubmitScoreResult;

@ShortName(value = "gSubmitScoreResult.Result")
public class ResultWrapper{
	
	private SubmitScoreResult.Result me;
	

	@Hide
	public ResultWrapper(Result scoreResult) {
		me = scoreResult;
	}

	public String formattedScore() {
		return me.formattedScore;
	}
	public boolean newBest() {
		return me.newBest;
	}
	public long rawScore() {
		return me.rawScore;
	}

	
}
