package b4a.game.helper;

import anywheresoftware.b4a.BA.ShortName;

import com.google.android.gms.games.leaderboard.SubmitScoreResult;
import com.google.android.gms.games.leaderboard.SubmitScoreResult.Result;

@ShortName(value = "gSubmitScoreResult")
public class SubmitScoreResultWrapper {
	private SubmitScoreResult me;
	
	
	public SubmitScoreResultWrapper(SubmitScoreResult sr) {
		me = sr;
	}
	
	public String getLeaderboardId () {
		return me.getLeaderboardId();
	}
	
	public String getPlayerId(){
		return me.getPlayerId();
	}
	public ResultWrapper getScoreResult(int timeSpan){
		return new ResultWrapper(me.getScoreResult(timeSpan));
	}
	public int getStatusCode(){
		return me.getStatusCode();
	}
	public String toString(){
		return me.toString();
	}
	
}
